%define name gerbv
%define version 2.3.0
%define release %mkrel 1

Summary:          Gerber file viewer from the gEDA toolkit
Name:             %{name}
Version:          %{version}
Release:          %{release}
Group:            Sciences/Engineering
License:          GPL
URL:              http://gerbv.sourceforge.net/
Source:           http://downloads.sourceforge.net/gerbv/%{name}-%{version}.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:    gtk2-devel, libpng-devel, desktop-file-utils
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %name < %version



%description
Gerber Viewer (gerbv) is a viewer for Gerber files. Gerber files
are generated from PCB CAD system and sent to PCB manufacturers
as basis for the manufacturing process. The standard supported
by gerbv is RS-274X.

gerbv also supports drill files. The format supported are known
under names as NC-drill or Excellon. The format is a bit undefined
and different EDA-vendors implement it different.


%prep
%setup -q


%build
autoreconf -fis
%configure2_5x --enable-exportpng  \
                --enable-unit-mm \
                --enable-gtk2 \
                --disable-shared

%{__make} 


%install
%{__rm} -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor=""           \
    --add-category="Engineering"                 \
    --add-category="Science"                     \
    --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop 

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
%{__cp} -p desktop/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/

#fix menu icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png


%{__rm} -f  {doc,example}/Makefile*


pushd example/
for dir in * ; do
  [ -d $dir ] && %{__rm} -f $dir/Makefile*
done
popd


pushd doc/
for dir in * ; do
  [ -d $dir ] && %{__rm} -f $dir/Makefile*
done
popd

#Fixing the end-of-line encodings
set +x
for f in `find example/ -name \*.* | sort` doc/eagle/eagle2exc.txt ; do
   echo -n -e "... Fixing the end-of-line encodings of $f  \t"
   sed -i.bak -e 's|\r||g' $f
   touch -r $f.bak $f
   %{__rm} -f $f.bak
   echo "done"
done
set -x


%clean
%{__rm} -rf %{buildroot}


%post
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc example/ doc/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/gerbv.*
%{_datadir}/applications/mimeinfo.cache
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_includedir}/%{name}-%{version}/gerbv.h
%{_libdir}/libgerbv.*
%{_libdir}/pkgconfig/libgerbv.pc


%changelog
* Wed Jan 20 2010 slick50 <lxgator@gmail.com> 2.3.0-1pclos2010
- import
